<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.8) on Wed Aug 12 16:32:57 CEST 2020 -->
<title>ComparisonOperator</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-08-12">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../../../../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ComparisonOperator";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":9,"i1":10,"i2":9,"i3":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ComparisonOperator.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#enum.constant.summary">Enum Constants</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#enum.constant.detail">Enum Constants</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">nl.naturalis.nba.api</a></div>
<h2 title="Enum ComparisonOperator" class="title">Enum ComparisonOperator</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true" title="class or interface in java.lang" class="externalLink">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Enum.html?is-external=true" title="class or interface in java.lang" class="externalLink">java.lang.Enum</a>&lt;<a href="ComparisonOperator.html" title="enum in nl.naturalis.nba.api">ComparisonOperator</a>&gt;</li>
<li>
<ul class="inheritance">
<li>nl.naturalis.nba.api.ComparisonOperator</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><code><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/io/Serializable.html?is-external=true" title="class or interface in java.io" class="externalLink">Serializable</a></code>, <code><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Comparable.html?is-external=true" title="class or interface in java.lang" class="externalLink">Comparable</a>&lt;<a href="ComparisonOperator.html" title="enum in nl.naturalis.nba.api">ComparisonOperator</a>&gt;</code></dd>
</dl>
<hr>
<pre>public enum <span class="typeNameLabel">ComparisonOperator</span>
extends <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Enum.html?is-external=true" title="class or interface in java.lang" class="externalLink">Enum</a>&lt;<a href="ComparisonOperator.html" title="enum in nl.naturalis.nba.api">ComparisonOperator</a>&gt;</pre>
<div class="block">Symbolic constants for the operators that can be used in a
 <a href="QueryCondition.html" title="class in nl.naturalis.nba.api"><code>query condition</code></a>.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Ayco Holleman</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== ENUM CONSTANT SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="enum.constant.summary">
<!--   -->
</a>
<h3>Enum Constant Summary</h3>
<table class="memberSummary">
<caption><span>Enum Constants</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Enum Constant</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><code><span class="memberNameLink"><a href="#BETWEEN">BETWEEN</a></span></code></th>
<td class="colLast">
<div class="block">
 Operator used to establish that a field&#39;s value falls within a given
 range.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><code><span class="memberNameLink"><a href="#CONTAINS">CONTAINS</a></span></code></th>
<td class="colLast">
<div class="block">Operator used to establish that a field contains the query value.</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><code><span class="memberNameLink"><a href="#EQUALS">EQUALS</a></span></code></th>
<td class="colLast">
<div class="block">Operator used to establish that <a href="QueryCondition.html#getValue()"><code>query value</code></a>
 and <a href="QueryCondition.html#getField()"><code>field value</code></a> are equal.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><code><span class="memberNameLink"><a href="#EQUALS_IC">EQUALS_IC</a></span></code></th>
<td class="colLast">
<div class="block">
 EQUALS IGNORE CASE</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><code><span class="memberNameLink"><a href="#GT">GT</a></span></code></th>
<td class="colLast">
<div class="block">
 GREATER THAN</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><code><span class="memberNameLink"><a href="#GTE">GTE</a></span></code></th>
<td class="colLast">
<div class="block">
 GREATER THAN OR EQUAL</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><code><span class="memberNameLink"><a href="#IN">IN</a></span></code></th>
<td class="colLast">
<div class="block">
 Operator used to establish that a field&#39;s value is one of a given set of
 values or, if the field is a <code>GeoJsonObject</code>, that it lies within a
 certain geographical area.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><code><span class="memberNameLink"><a href="#LT">LT</a></span></code></th>
<td class="colLast">
<div class="block">
 LESS THAN</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><code><span class="memberNameLink"><a href="#LTE">LTE</a></span></code></th>
<td class="colLast">
<div class="block">
 LESS THAN OR EQUAL</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><code><span class="memberNameLink"><a href="#MATCHES">MATCHES</a></span></code></th>
<td class="colLast">
<div class="block">Operator used to trigger a full-text search.</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><code><span class="memberNameLink"><a href="#NOT_BETWEEN">NOT_BETWEEN</a></span></code></th>
<td class="colLast">
<div class="block">Operator used to establish that a field&#39;s value lies outside a given
 range.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><code><span class="memberNameLink"><a href="#NOT_CONTAINS">NOT_CONTAINS</a></span></code></th>
<td class="colLast">
<div class="block">Operator used to establish that a field does not contain the query string.</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><code><span class="memberNameLink"><a href="#NOT_EQUALS">NOT_EQUALS</a></span></code></th>
<td class="colLast">
<div class="block">Operator used to establish that query value and field value are not equal.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><code><span class="memberNameLink"><a href="#NOT_EQUALS_IC">NOT_EQUALS_IC</a></span></code></th>
<td class="colLast">
<div class="block">
 NOT EQUALS IGNORE CASE</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><code><span class="memberNameLink"><a href="#NOT_IN">NOT_IN</a></span></code></th>
<td class="colLast">
<div class="block">Operator used to establish that a field&#39;s value is none of a given set of
 values.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><code><span class="memberNameLink"><a href="#NOT_MATCHES">NOT_MATCHES</a></span></code></th>
<td class="colLast">
<div class="block">Operator used to trigger a full-text search (negating its outcome).</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><code><span class="memberNameLink"><a href="#NOT_STARTS_WITH">NOT_STARTS_WITH</a></span></code></th>
<td class="colLast">
<div class="block">Operator used to establish that a field&#39;s value does not start with a
 given prefix.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><code><span class="memberNameLink"><a href="#NOT_STARTS_WITH_IC">NOT_STARTS_WITH_IC</a></span></code></th>
<td class="colLast">
<div class="block">Operator used to establish that, ignoring case, a field&#39;s value does not
 start with a given prefix.</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><code><span class="memberNameLink"><a href="#STARTS_WITH">STARTS_WITH</a></span></code></th>
<td class="colLast">
<div class="block">Operator used to establish that a field&#39;s value start with a given
 prefix.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><code><span class="memberNameLink"><a href="#STARTS_WITH_IC">STARTS_WITH_IC</a></span></code></th>
<td class="colLast">
<div class="block">Operator used to establish that, ignoring case, a field&#39;s value start
 with a given prefix.</div>
</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>static <a href="ComparisonOperator.html" title="enum in nl.naturalis.nba.api">ComparisonOperator</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#parse(java.lang.String)">parse</a></span>&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;s)</code></th>
<td class="colLast">
<div class="block">Returns the <a href="ComparisonOperator.html" title="enum in nl.naturalis.nba.api"><code>ComparisonOperator</code></a> corresponding to the specified string.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#toString()">toString</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>static <a href="ComparisonOperator.html" title="enum in nl.naturalis.nba.api">ComparisonOperator</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#valueOf(java.lang.String)">valueOf</a></span>&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;name)</code></th>
<td class="colLast">
<div class="block">Returns the enum constant of this type with the specified name.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>static <a href="ComparisonOperator.html" title="enum in nl.naturalis.nba.api">ComparisonOperator</a>[]</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#values()">values</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns an array containing the constants of this enum type, in
the order they are declared.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Enum">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Enum.html?is-external=true" title="class or interface in java.lang" class="externalLink">Enum</a></h3>
<code><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Enum.html?is-external=true#compareTo(E)" title="class or interface in java.lang" class="externalLink">compareTo</a>, <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Enum.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.lang" class="externalLink">equals</a>, <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Enum.html?is-external=true#getDeclaringClass()" title="class or interface in java.lang" class="externalLink">getDeclaringClass</a>, <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Enum.html?is-external=true#hashCode()" title="class or interface in java.lang" class="externalLink">hashCode</a>, <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Enum.html?is-external=true#name()" title="class or interface in java.lang" class="externalLink">name</a>, <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Enum.html?is-external=true#ordinal()" title="class or interface in java.lang" class="externalLink">ordinal</a>, <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Enum.html?is-external=true#valueOf(java.lang.Class,java.lang.String)" title="class or interface in java.lang" class="externalLink">valueOf</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true" title="class or interface in java.lang" class="externalLink">Object</a></h3>
<code><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true#getClass()" title="class or interface in java.lang" class="externalLink">getClass</a>, <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true#notify()" title="class or interface in java.lang" class="externalLink">notify</a>, <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true#notifyAll()" title="class or interface in java.lang" class="externalLink">notifyAll</a>, <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true#wait()" title="class or interface in java.lang" class="externalLink">wait</a>, <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true#wait(long)" title="class or interface in java.lang" class="externalLink">wait</a>, <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true#wait(long,int)" title="class or interface in java.lang" class="externalLink">wait</a></code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ ENUM CONSTANT DETAIL =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="enum.constant.detail">
<!--   -->
</a>
<h3>Enum Constant Detail</h3>
<a id="EQUALS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>EQUALS</h4>
<pre>public static final&nbsp;<a href="ComparisonOperator.html" title="enum in nl.naturalis.nba.api">ComparisonOperator</a> EQUALS</pre>
<div class="block">Operator used to establish that <a href="QueryCondition.html#getValue()"><code>query value</code></a>
 and <a href="QueryCondition.html#getField()"><code>field value</code></a> are equal. For text fields
 the comparison is done in a case sensitive way. The EQUALS operator also
 allows you to search for null values by providing a query value that is
 <code>null</code>. This is equivalent to using the

 <pre>
 IS NULL
 </pre>

 operator in SQL. For example:<br>

 <pre>

 // Retrieves all documents in which taxonRank is not set
 QueryCondition condition = new QueryCondition("taxonRank", EQUALS, null);
 </pre></div>
</li>
</ul>
<a id="NOT_EQUALS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>NOT_EQUALS</h4>
<pre>public static final&nbsp;<a href="ComparisonOperator.html" title="enum in nl.naturalis.nba.api">ComparisonOperator</a> NOT_EQUALS</pre>
<div class="block">Operator used to establish that query value and field value are not equal.
 For text fields the comparison is done in a case sensitive way. The
 NOT_EQUALS operator also allows you to search for non-null values by
 providing a query value that is <code>null</code>. This is equivalent to using the

 <pre>
 IS NOT NULL
 </pre>

 operator in SQL. For example:<br>

 <pre>

 // Retrieves all documents in which taxonRank is set
 QueryCondition condition = new QueryCondition("taxonRank", NOT_EQUALS, null);
 </pre></div>
</li>
</ul>
<a id="EQUALS_IC">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>EQUALS_IC</h4>
<pre>public static final&nbsp;<a href="ComparisonOperator.html" title="enum in nl.naturalis.nba.api">ComparisonOperator</a> EQUALS_IC</pre>
<div class="block"><pre>
 EQUALS IGNORE CASE
 </pre>

 &#46; Operator used to establish that query value and field value are equal
 ignoring case. Can only be used for text fields. The query value may be null
 when using the EQUALS operator. This is equivalent to using the

 <pre>
 IS NULL
 </pre>

 operator in SQL. Although it only makes sense to use this operator with text
 fields, no exception is thrown if you use it with other types of fields. It
 behaves then as though you had used the <a href="#EQUALS"><code>EQUALS</code></a> operator.</div>
</li>
</ul>
<a id="NOT_EQUALS_IC">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>NOT_EQUALS_IC</h4>
<pre>public static final&nbsp;<a href="ComparisonOperator.html" title="enum in nl.naturalis.nba.api">ComparisonOperator</a> NOT_EQUALS_IC</pre>
<div class="block"><pre>
 NOT EQUALS IGNORE CASE
 </pre>

 &#46; Operator used to establish that query value and field value are not
 equal, even when ignoring case. Can only be used for text fields. The query
 value may be null when using the EQUALS operator. This is equivalent to using
 the

 <pre>
 IS NOT NULL
 </pre>

 operator in SQL. Although it only makes sense to use this operator with text
 fields, no exception is thrown if you use it with other types of fields. It
 behaves then as though you had used the <a href="#NOT_EQUALS"><code>NOT_EQUALS</code></a> operator.</div>
</li>
</ul>
<a id="CONTAINS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CONTAINS</h4>
<pre>public static final&nbsp;<a href="ComparisonOperator.html" title="enum in nl.naturalis.nba.api">ComparisonOperator</a> CONTAINS</pre>
<div class="block">Operator used to establish that a field contains the query value. Can only be
 used for text fields. Search term and field value are compared in a case
 insensitive way. The query value must not be null.</div>
</li>
</ul>
<a id="NOT_CONTAINS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>NOT_CONTAINS</h4>
<pre>public static final&nbsp;<a href="ComparisonOperator.html" title="enum in nl.naturalis.nba.api">ComparisonOperator</a> NOT_CONTAINS</pre>
<div class="block">Operator used to establish that a field does not contain the query string.
 Can only be used for text fields. Search term and field value are compared in
 a case insensitive way. The query value must not be null.</div>
</li>
</ul>
<a id="LT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>LT</h4>
<pre>public static final&nbsp;<a href="ComparisonOperator.html" title="enum in nl.naturalis.nba.api">ComparisonOperator</a> LT</pre>
<div class="block"><pre>
 LESS THAN
 </pre>

 &#46; Operator used to establish that a field&#39;s value is less than the
 query value. Can only be used for number fields and date fields.</div>
</li>
</ul>
<a id="LTE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>LTE</h4>
<pre>public static final&nbsp;<a href="ComparisonOperator.html" title="enum in nl.naturalis.nba.api">ComparisonOperator</a> LTE</pre>
<div class="block"><pre>
 LESS THAN OR EQUAL
 </pre>

 &#46; Operator used to establish that a field&#39;s value is less than or
 equal to the query value. Can only be used for number fields and date fields.</div>
</li>
</ul>
<a id="GT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>GT</h4>
<pre>public static final&nbsp;<a href="ComparisonOperator.html" title="enum in nl.naturalis.nba.api">ComparisonOperator</a> GT</pre>
<div class="block"><pre>
 GREATER THAN
 </pre>

 &#46; Operator used to establish that a field&#39;s value is greater than the
 query value. Can only be used for number fields and date fields.</div>
</li>
</ul>
<a id="GTE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>GTE</h4>
<pre>public static final&nbsp;<a href="ComparisonOperator.html" title="enum in nl.naturalis.nba.api">ComparisonOperator</a> GTE</pre>
<div class="block"><pre>
 GREATER THAN OR EQUAL
 </pre>

 &#46; Operator used to establish that a field&#39;s value is greater than or
 equal to the query value. Can only be used for number fields and date fields.</div>
</li>
</ul>
<a id="BETWEEN">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BETWEEN</h4>
<pre>public static final&nbsp;<a href="ComparisonOperator.html" title="enum in nl.naturalis.nba.api">ComparisonOperator</a> BETWEEN</pre>
<div class="block"><p>
 Operator used to establish that a field&#39;s value falls within a given
 range. Can only be used for number fields and date fields. When using the
 BETWEEN or NOT_BETWEEN operator in a <a href="QueryCondition.html" title="class in nl.naturalis.nba.api"><code>QueryCondition</code></a>, the
 <a href="QueryCondition.html#getValue()"><code>value</code></a> property of the condition <b>must</b>
 be an array or a <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/util/Collection.html?is-external=true" title="class or interface in java.util" class="externalLink"><code>Collection</code></a> object with exactly two elements. The
 first element is used as the "from" value (inclusive). The second element is
 used as the "to" value (inclusive). Although you can choose any
 <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/util/Collection.html?is-external=true" title="class or interface in java.util" class="externalLink"><code>Collection</code></a> implementation you like, you should not choose one where
 you have no control over the order of the elements (like <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/util/HashSet.html?is-external=true" title="class or interface in java.util" class="externalLink"><code>HashSet</code></a>).
 Example:
 </p>
 <p>

 <pre>

 QueryCondition condition = new QueryCondition("numberOfSpecimen", BETWEEN,
     new int[] {10, 20});
 </pre>
 </p></div>
</li>
</ul>
<a id="NOT_BETWEEN">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>NOT_BETWEEN</h4>
<pre>public static final&nbsp;<a href="ComparisonOperator.html" title="enum in nl.naturalis.nba.api">ComparisonOperator</a> NOT_BETWEEN</pre>
<div class="block">Operator used to establish that a field&#39;s value lies outside a given
 range. Can only be used for number fields and date fields. See
 <a href="#BETWEEN"><code>BETWEEN</code></a>.</div>
</li>
</ul>
<a id="IN">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>IN</h4>
<pre>public static final&nbsp;<a href="ComparisonOperator.html" title="enum in nl.naturalis.nba.api">ComparisonOperator</a> IN</pre>
<div class="block"><p>
 Operator used to establish that a field&#39;s value is one of a given set of
 values or, if the field is a <code>GeoJsonObject</code>, that it lies within a
 certain geographical area. More precisely, this operator is overloaded as
 follows:
 <ol>
 <li>If the field being queried is <b>not</b> a <code>GeoJsonObject</code>, the
 operator is used to establish that the field&#39;s value is one of a given
 set of values. The set of allowed value is specified by the condition's
 <a href="QueryCondition.html#getValue()"><code>value</code></a>. The condition's value <b>must</b> be
 an array or a <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/util/Collection.html?is-external=true" title="class or interface in java.util" class="externalLink"><code>Collection</code></a> with zero or more elements. For example:

 <pre>

 QueryCondition condition0 = new QueryCondition("phaseOrStage", IN,
     new String[] {"embryo", "pupa", "larva"});
 QueryCondition condition1 = new QueryCondition("numberOfSpecimen", IN,
     new int[] {1, 3, 5, 7, 9});
 </pre>

 <li>If the field being queried is a <code>GeoJsonObject</code> <i>and</i> the
 condition's value is also a <code>GeoJsonObject</code> or a GeoJSON string,
 documents are returned field's coordinates lie within the shape specified by
 the condition's value. For example:

 <pre>
 // Using a GeoJSON string:
 String field = "gatheringEvent.siteCoordinates.geoShape";
 QueryCondition condition = new QueryCondition(field, IN,
     "{\"type\": \"polygon\", \"coordinates\": [ /&#42; etc. &#42;/ ]}");

 // Using a GeoJsonObject:
 Polygon polygon = new Polygon();
 polygon.setCoordinates( /&#42; etc. &#42;/ );
 QueryCondition condition = new QueryCondition(field, IN, polygon);
 </pre>

 <li>If the field being queried is a <code>GeoJsonObject</code> <i>and</i> the
 condition's value is a regular (non-JSON) string or string array, the
 condition's value is assumed to denote one or more pre-defined localities.
 See <code>IGeoAreaAccess#getLocalities()</code>. For example:

 <pre>

 String field = "gatheringEvent.siteCoordinates.geoShape";
 QueryCondition condition0 = new QueryCondition(field, IN, "Amsterdam");
 QueryCondition condition1 = new QueryCondition(field, IN,
     new String[] {"Amsterdam", "Berlin"});
 </pre>

 <br>
 In stead of a locality name you can also provide the ID of the corresponding
 <a href="model/GeoArea.html" title="class in nl.naturalis.nba.api.model"><code>GeoArea</code></a> document (see also <a href="IGeoAreaAccess.html" title="interface in nl.naturalis.nba.api"><code>IGeoAreaAccess</code></a>). For example:

 <pre>

 String field = "gatheringEvent.siteCoordinates.geoShape";
 // ID of the GeoArea document for Amsterdam:
 QueryCondition condition0 = new QueryCondition(field, IN, "1003624@GEO");
 </pre>
 </ol></div>
</li>
</ul>
<a id="NOT_IN">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>NOT_IN</h4>
<pre>public static final&nbsp;<a href="ComparisonOperator.html" title="enum in nl.naturalis.nba.api">ComparisonOperator</a> NOT_IN</pre>
<div class="block">Operator used to establish that a field&#39;s value is none of a given set of
 values. See <a href="#IN"><code>IN</code></a> for the multiple ways in which this operator can be
 used.</div>
</li>
</ul>
<a id="MATCHES">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>MATCHES</h4>
<pre>public static final&nbsp;<a href="ComparisonOperator.html" title="enum in nl.naturalis.nba.api">ComparisonOperator</a> MATCHES</pre>
<div class="block">Operator used to trigger a full-text search. Can only be used for text
 fields. The <a href="QueryCondition.html#getValue()"><code>query value</code></a> is broken up along
 word boundaries (commas, periods, space characters, etc.) with each word
 constituting a separate search term. A match exists if any of the search
 terms matches the targeted field. See the <a href="https://www.elastic.co/guide/en/elasticsearch/reference/current/query-dsl-match-query.html">Elasticsearch
 documentation</a>.</div>
</li>
</ul>
<a id="NOT_MATCHES">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>NOT_MATCHES</h4>
<pre>public static final&nbsp;<a href="ComparisonOperator.html" title="enum in nl.naturalis.nba.api">ComparisonOperator</a> NOT_MATCHES</pre>
<div class="block">Operator used to trigger a full-text search (negating its outcome). Can only
 be used for text fields. See <a href="#MATCHES"><code>MATCHES</code></a>.</div>
</li>
</ul>
<a id="STARTS_WITH">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>STARTS_WITH</h4>
<pre>public static final&nbsp;<a href="ComparisonOperator.html" title="enum in nl.naturalis.nba.api">ComparisonOperator</a> STARTS_WITH</pre>
<div class="block">Operator used to establish that a field&#39;s value start with a given
 prefix.</div>
</li>
</ul>
<a id="NOT_STARTS_WITH">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>NOT_STARTS_WITH</h4>
<pre>public static final&nbsp;<a href="ComparisonOperator.html" title="enum in nl.naturalis.nba.api">ComparisonOperator</a> NOT_STARTS_WITH</pre>
<div class="block">Operator used to establish that a field&#39;s value does not start with a
 given prefix.</div>
</li>
</ul>
<a id="STARTS_WITH_IC">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>STARTS_WITH_IC</h4>
<pre>public static final&nbsp;<a href="ComparisonOperator.html" title="enum in nl.naturalis.nba.api">ComparisonOperator</a> STARTS_WITH_IC</pre>
<div class="block">Operator used to establish that, ignoring case, a field&#39;s value start
 with a given prefix.</div>
</li>
</ul>
<a id="NOT_STARTS_WITH_IC">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>NOT_STARTS_WITH_IC</h4>
<pre>public static final&nbsp;<a href="ComparisonOperator.html" title="enum in nl.naturalis.nba.api">ComparisonOperator</a> NOT_STARTS_WITH_IC</pre>
<div class="block">Operator used to establish that, ignoring case, a field&#39;s value does not
 start with a given prefix.</div>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="values()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>values</h4>
<pre class="methodSignature">public static&nbsp;<a href="ComparisonOperator.html" title="enum in nl.naturalis.nba.api">ComparisonOperator</a>[]&nbsp;values()</pre>
<div class="block">Returns an array containing the constants of this enum type, in
the order they are declared. This method may be used to iterate
over the constants as follows:
<pre>
for (ComparisonOperator c : ComparisonOperator.values())
&nbsp;   System.out.println(c);
</pre></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>an array containing the constants of this enum type, in the order they are declared</dd>
</dl>
</li>
</ul>
<a id="valueOf(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>valueOf</h4>
<pre class="methodSignature">public static&nbsp;<a href="ComparisonOperator.html" title="enum in nl.naturalis.nba.api">ComparisonOperator</a>&nbsp;valueOf&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;name)</pre>
<div class="block">Returns the enum constant of this type with the specified name.
The string must match <i>exactly</i> an identifier used to declare an
enum constant in this type.  (Extraneous whitespace characters are 
not permitted.)</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - the name of the enum constant to be returned.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the enum constant with the specified name</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/IllegalArgumentException.html?is-external=true" title="class or interface in java.lang" class="externalLink">IllegalArgumentException</a></code> - if this enum type has no constant with the specified name</dd>
<dd><code><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/NullPointerException.html?is-external=true" title="class or interface in java.lang" class="externalLink">NullPointerException</a></code> - if the argument is null</dd>
</dl>
</li>
</ul>
<a id="parse(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>parse</h4>
<pre class="methodSignature">public static&nbsp;<a href="ComparisonOperator.html" title="enum in nl.naturalis.nba.api">ComparisonOperator</a>&nbsp;parse&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;s)</pre>
<div class="block">Returns the <a href="ComparisonOperator.html" title="enum in nl.naturalis.nba.api"><code>ComparisonOperator</code></a> corresponding to the specified string.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>s</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a id="toString()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>toString</h4>
<pre class="methodSignature">public&nbsp;<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;toString()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Enum.html?is-external=true#toString()" title="class or interface in java.lang" class="externalLink">toString</a></code>&nbsp;in class&nbsp;<code><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Enum.html?is-external=true" title="class or interface in java.lang" class="externalLink">Enum</a>&lt;<a href="ComparisonOperator.html" title="enum in nl.naturalis.nba.api">ComparisonOperator</a>&gt;</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ComparisonOperator.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#enum.constant.summary">Enum Constants</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#enum.constant.detail">Enum Constants</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
